$ErrorActionPreference = 'Stop';
$toolsDir   = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"
$url        = "https://github.com/RPCS3/rpcs3-binaries-win/releases/download/build-b32eecb5a71e6c61dafe227f3d62183b51bc77c8/rpcs3-v0.0.12-11090-b32eecb5_win64.7z"

$packageArgs = @{
  packageName   = $env:ChocolateyPackageName
  unzipLocation = $toolsDir
  url           = $url
  checksum      = '69c7313f3c5311d2aab3e6c45cc2f87c905e761d6dfbf2dda130126922e7c44d'
  checksumType  = 'sha256'
}

Install-ChocolateyZipPackage @packageArgs
